<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:lxslt="http://xml.apache.org/xslt" xmlns:redirect="com.scenari.xsldom.xalan.lib.Redirect" xmlns:java="http://xml.apache.org/xslt/java" extension-element-prefixes="redirect java lxslt ">
<xsl:output method="xml" indent="no"/>
<xsl:param name="vDialog"/>
<xsl:param name="vAgent"/>

	<xsl:template match="alternative"><xsl:apply-templates/></xsl:template>
	<xsl:template match="@lookForAlt"><xsl:attribute name="alt"><xsl:value-of select="si(.='', ancestor::alternative/@alt, .)"/></xsl:attribute></xsl:template>	
	

	<xsl:template match="zoneContent"><xsl:apply-overlays/><xsl:apply-templates/></xsl:template>
	<xsl:template match="ifText"><xsl:if test="descendant::text()[string-length(normalize-space())&gt;0] or descendant::img or descendant::object"><xsl:apply-templates/></xsl:if></xsl:template>
	<xsl:template match="hx"><xsl:variable name="vCount" select="count(ancestor::scBlock)"/><xsl:element name="{concat('h', si($vCount &gt; 6, '6', $vCount))}"><xsl:apply-templates select="@*"/><xsl:apply-overlays/><xsl:apply-templates/></xsl:element></xsl:template>
	<xsl:template match="addAttribute">
		<xsl:attribute name="{@name}"><xsl:choose><xsl:when test="@filter='textOnly'"><xsl:value-of select="normalize-space(.)"/></xsl:when><xsl:otherwise><redirect:serialize omit-xml-declaration="yes"><xsl:value-of select="."/></redirect:serialize></xsl:otherwise></xsl:choose></xsl:attribute>
	</xsl:template>
	

	<xsl:overlay match="*[scTooltip/@basket]" priority="1">
		<xsl:variable name="vIdAnc" select="java:ensureIdOnCurrentResultElt($vDialog)"/>
	  <xsl:variable name="vIdInBskt" select="concat('tt_', scTooltip/@basket, generate-id(scTooltip))"/>
		<xsl:if test="scTooltip/@render = 'asTooltip'">
			<xsl:value-of select="execute(java:append($vBufJs, concat('scTooltipMgr.registerTooltip(&quot;',$vIdAnc,'&quot;,&quot;',$vIdInBskt,'&quot;,&quot;',scTooltip/@trigger,'&quot;,&quot;',scTooltip/@class,'&quot;,&quot;',scTooltip/@classRoot,'&quot;,{',scTooltip/@options,'});')))"/>
		</xsl:if>
	</xsl:overlay>
	<xsl:template match="*[scTooltip]">
		<xsl:variable name="vKey" select="scTooltip/@basket"/>
		<xsl:choose>
			<xsl:when test="scTooltip/@basket and count(/descendant::scBasket[@key=$vKey])>0">
				<xsl:copy>
				  <xsl:apply-overlays/>
					<xsl:apply-templates select="@*|text()|child::*[local-name() != 'scTooltip']"/>
				</xsl:copy>
				<xsl:for-each select="scTooltip">
					<xsl:variable name="vCurrId" select="generate-id(.)"/>
				  <xsl:variable name="vIdInBskt" select="concat('tt_', @basket, $vCurrId)"/>
					<xsl:variable name="vBskt" select="/descendant::scBasket[@key=$vKey][1]"/>
					<xsl:variable name="vBsktElts" select="/descendant::scTooltip[@basket=$vKey] | /descendant::scBasketElt[@basket=$vKey]"/>
					<xsl:variable name="vEltRank"><xsl:for-each select="$vBsktElts"><xsl:value-of select="si($vCurrId=generate-id(),position(),'')"/></xsl:for-each></xsl:variable>
					<xsl:variable name="vRefAnc" select="si($vBskt/@tagName = 'li',$vEltRank,'*')"/>
					<sup class="{addSuffixOnWords(@class, '_ref')}"><a href="#{$vIdInBskt}"><xsl:value-of select="$vRefAnc"/></a></sup>
				</xsl:for-each>
			</xsl:when>
			<xsl:otherwise>
				<xsl:copy>
					<xsl:for-each select="scTooltip">
						<xsl:if test="descendant::text()[string-length(normalize-space())&gt;0] or descendant::img">
							<xsl:variable name="vTTTitle"><redirect:serialize omit-xml-declaration="yes" method="html"><xsl:apply-templates select="scTooltipTitle/node()"/></redirect:serialize></xsl:variable>
							<xsl:variable name="vTTContent"><redirect:serialize omit-xml-declaration="yes" method="html"><xsl:apply-templates select="scTooltipContent/node()"/></redirect:serialize></xsl:variable>
							<xsl:attribute name="{@trigger}">scTooltipMgr.showTooltip(this,event,&quot;<xsl:value-of select="chaineProtegeJs(normalize-space($vTTContent))"/>&quot;,&quot;<xsl:value-of select="chaineProtegeJs(normalize-space($vTTTitle))"/>&quot;,&quot;<xsl:value-of select="@class"/>&quot;,&quot;<xsl:value-of select="@classRoot"/>&quot;,{<xsl:value-of select="@options"/>});</xsl:attribute>
						</xsl:if>
					</xsl:for-each>
				  <xsl:apply-overlays/>
					<xsl:apply-templates select="@*|text()|child::*[local-name() != 'scTooltip']"/>
				</xsl:copy>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	

	<xsl:variable name="vBufJs" select="java:java.lang.StringBuffer.new()"/>
	<xsl:template match="/"><xsl:apply-overlays/><xsl:apply-templates select="node()"/><xsl:if test="java:length($vBufJs) &gt; 0"><script type="text/javascript"><xsl:value-of select="java:toString($vBufJs)"/></script></xsl:if></xsl:template>
	

	<xsl:template match="scBlock"><div><xsl:apply-templates select="@*"/><xsl:apply-overlays/><xsl:apply-templates/></div></xsl:template>
	<xsl:template match="scBlockTitle"/>
	

	<xsl:template match="crossRef"/>
	<xsl:overlay match="*[crossRef]" priority="1">
		<xsl:variable name="vId" select="java:ensureIdOnCurrentResultElt($vDialog, string(crossRef[@prefId]/@prefId))"/>
		<xsl:for-each select="crossRef/entry"><xsl:value-of select="java:com.scenari.m.ge.generator.web.CrossRefEntry.addEntry($vDialog, $vId, @keyRef, @value)"/></xsl:for-each>
	</xsl:overlay>
	

	<xsl:template match="*[scBasket]">
		<xsl:variable name="vKey" select="scBasket/@key"/>
		<xsl:variable name="vClass" select="scBasket/@class"/>
		<xsl:variable name="vTagName" select="scBasket/@tagName"/>
		<xsl:variable name="vHasElts" select="count(/descendant::scTooltip[@basket=$vKey] | /descendant::scBasketElt[@basket=$vKey])>0"/>
		<xsl:if test="$vHasElts or scBasket/@suppressIfEmpty = 'no' ">
			<xsl:copy>
			  <xsl:apply-overlays/>
				<xsl:apply-templates select="@*|text()|child::*[local-name() != 'scBasket']"/>
				<xsl:for-each select="/descendant::*[scTooltip/@basket=$vKey or scBasketElt/@basket=$vKey]">
					<xsl:choose>
						<xsl:when test="scTooltip">
						  <xsl:variable name="vIdInBskt" select="concat('tt_', scTooltip/@basket, generate-id(scTooltip))"/>
						  <xsl:element name="{$vTagName}">
								<xsl:attribute name="class"><xsl:value-of select="addSuffixOnWords($vClass, '_it')"/></xsl:attribute>
								<xsl:attribute name="id"><xsl:value-of select="$vIdInBskt"/></xsl:attribute>
								<xsl:if test="scTooltip/scTooltipTitle"><div class="{addSuffixOnWords($vClass, '_itti')}"><xsl:apply-templates select="scTooltip/scTooltipTitle/node()"/></div></xsl:if>
								<xsl:if test="scTooltip/scTooltipContent"><div class="{addSuffixOnWords($vClass, '_itco')}"><xsl:apply-templates select="scTooltip/scTooltipContent/node()"/></div></xsl:if>
							</xsl:element>		
						</xsl:when>
					</xsl:choose>
				</xsl:for-each>
			</xsl:copy>
		</xsl:if>
	</xsl:template>
	
	<xsl:template match="* | processing-instruction() | comment()"><xsl:copy><xsl:apply-templates select="@*"/><xsl:apply-overlays/><xsl:apply-templates/></xsl:copy></xsl:template>
	<xsl:template match="@* | text()"><xsl:copy/></xsl:template>
</xsl:stylesheet>
